Bug 53517 - mi_NZ (Māori) dictionary
Summary: mi_NZ (Māori) dictionary
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2012-08-15 00:34 UTC by Ian Beardslee
Modified: 2017-11-12 21:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Beardslee 2012-08-15 00:34:40 UTC
I've managed to create a myspell-mi-nz.deb for the mi_NZ (New Zealand Māori) language.  This is using the mi_NZ.aff mi_NZ.dic extracted from the papakuku-mi_NZ OpenOffice extension.

Creating a .deb ensures that on the ubuntu/debian systems it is available to more than a single user of LibreOffice (and OpenOffice.org).

What is the best way to ensure that this is available to users of LibreOffice (and linux systems in general through the myspell dictionaries).
Comment 1 Rainer Bielefeld Retired 2012-08-15 05:19:34 UTC
@Ian Beardslee
Do I understand you correctly, you want to contribute a mi_NZ (Māori) dictionary
Comment 2 Ian Beardslee 2012-08-15 08:40:25 UTC
Yes that is correct.

I have grabbed the mi_NZ.aff mi_NZ.dic from the GPL'd http://extensions.services.openoffice.org/en/project/maori-papakupu (not my original files).
Comment 3 Rainer Bielefeld Retired 2012-08-15 09:03:10 UTC
What about <http://extensions.libreoffice.org/>?

@Florian:
What do you think how this particular kind of Extension can be handled best? I have no knowledge concerning Linux. Can you leave a comment and may be add András (or an other expert) to CC for additional hints?
Comment 4 Florian Reisinger 2012-08-15 12:52:44 UTC
Hi!

Sorry if my next answer is not showing up quickly....

1) Are youl allowed to use / have you produced this dictionary?

2) Do you want.to have it under LibreOffices lizenz.

3) Due to the fact, that LibreOffice is not only Linux, would it be possible to create a .oxt?

Thanks for your answer!
Comment 5 Alessandro Menti 2012-08-15 12:56:41 UTC
As for Linux (specifically Debian and Ubuntu), I have done a bit of research about the packaging.

The current dictionaries ware just pulled out of the OpenOffice.org repository (back in 2003, it seems) and packaged into a .deb (as per the "copyright" file):
        export CVSROOT=":pserver:anoncvs@anoncvs.services.openoffice.org:/cvs"
        cvs login
        <empty password>
        cvs co -r OOC680_m5 dictionaries

I think the same kind of work is done for other distributions (if someone else here knows about that, do leave a comment below).

Therefore, I think the best solution would be pushing the new dictionaries to libreoffice/dictionaries/ in the LibreOffice git repo. Each distro would then just have to alter their packaging accordingly (I'm willing to do that for Debian and derivatives).
Comment 6 Ian Beardslee 2012-08-15 21:23:40 UTC
@Florian .. I'll answer you questions in s slightly different order :)

3/ It already exists as a .oxt albeit for OpenOffice .. http://extensions.services.openoffice.org/en/project/maori-papakupu  The problem with the oxt is that by default it is per user and only for OOo or LibreOffice.  

1/ No, I did not produce the dictionary.  The oxt was released under a GPL licence, it contains GPL and Public Domain word lists.

2/ Would need to go back to the original creator to see if they would be happy for it to be released under an alternate licence.

My particular itch is to get the Māori (and NZ English) dictionaries into our standard Ubuntu Linux builds, I can do that by creating a myspell dictionary package (myspell-mi-nz.deb).  That makes it available for LibreOffice and Thunderbird and any other app that uses the myspell dictionaries on Ubuntu and Debian.

But that is a short-sighted and selfish view.  I'd rather see the Māori dictionary pushed further afield than just our internal systems.

@Rainer It exists as an OpenOffice extension, we'd need to migrate/import the extension from OOo to LibreOffice.

But then because it already exists as a oxt, installable on Windows, Linux etc that *could* be the simplest way forward for LibreOffice.
Comment 7 Ian Beardslee 2012-08-15 22:27:17 UTC
I have also just come across this .. 

http://www.taiuru.maori.nz/te-ngutu-kura/download/te-ngutu-kura-for-open-office/
Comment 8 Florian Reisinger 2012-08-16 07:21:35 UTC
Okay, stay tuned, I put it on my high priority list, but it can take a while...
Comment 9 Ian Beardslee 2012-08-21 00:57:13 UTC
All good.  If there is anything more you need from me let me know.

If you can have a nosey at the en_NZ one (bug 53518) alongside this that'd be fantastic.
Comment 10 QA Administrators 2015-01-05 17:51:47 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-01-03 19:37:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103